Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaActor Class Reference

`#include <vtkMesaActor.h>`

Inheritance diagram for vtkMesaActor:

[legend]
Collaboration diagram for vtkMesaActor:

[legend]
List of all members.

## Detailed Description

Mesa actor.

Date:
  2002/08/22 18:39:30

Revision:
  1.13

vtkMesaActor is a concrete implementation of the abstract class vtkActor. vtkMesaActor interfaces to the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (54%)
  - Hoffman, Bill (28%)
  - Schroeder, Will (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMesaActor.cxx)`
  - .`h` (`/Rendering/vtkMesaActor.h)`

Examples:
  vtkMesaActor (Examples)

Tests:
  vtkMesaActor (Tests)

Definition at line 51 of file vtkMesaActor.h.

## Public Types
typedef vtkActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren, vtkMapper *mapper)
vtkProperty * | MakeProperty ()
## Static Public Methods
vtkMesaActor * | New ()
int | IsTypeOf (const char *type)
vtkMesaActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaActor ()
| ~vtkMesaActor ()

## Member Typedef Documentation

typedef vtkActor vtkMesaActor::Superclass

| Reimplemented from vtkActor. Definition at line 57 of file vtkMesaActor.h.

## Constructor & Destructor Documentation

vtkMesaActor::vtkMesaActor | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkMesaActor.h.

vtkMesaActor::~vtkMesaActor | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkMesaActor.h.

## Member Function Documentation

vtkMesaActor* vtkMesaActor::New | ( |  | ) | `[static]`

| Creates an actor with the following defaults: origin(0,0,0) position=(0,0,0) scale=(1,1,1) visibility=1 pickable=1 dragable=1 orientation=(0,0,0). No user defined matrix and no texture map. Reimplemented from vtkActor.

virtual const char* vtkMesaActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor.

int vtkMesaActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

virtual int vtkMesaActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

vtkMesaActor* vtkMesaActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor.

virtual void vtkMesaActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor.

void vtkMesaActor::Render | ( | vtkRenderer * | ren,
|  | vtkMapper * | mapper
| ) | `[virtual]`

| Actual actor render method. Reimplemented from vtkActor.

vtkProperty* vtkMesaActor::MakeProperty | ( |  | ) | `[virtual]`

| Create a vtkMesaProperty, used by the super class to create a compatible class with the vtkMesaActor. Reimplemented from vtkActor.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaActor.h